Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.util.instrum
Interface MfStatusMBean

All Known Subinterfaces:
  MfExternalResourceMetricsMBean, MfMetricMBean, MfResourceMetricsMBean, MfTransactionMetricsMBean

All Known Implementing Classes:
  MfExternalResourceMetrics, MfMetric, MfResourceMetrics, MfStatus, MfTransactionMetrics

public interface MfStatusMBean

MfStatusMBean contains the status of a component product

Field Summary
`static int` | `AVAIL_CONGESTED`
`static int` | `AVAIL_DEGRADED`
`static int` | `AVAIL_NORMAL`
`static int` | `OPS_FAILED`
`static int` | `OPS_RUNNING`
`static int` | `OPS_STARTING`
`static int` | `OPS_STOPPED`
`static int` | `OPS_STOPPING`

Method Summary
`int` | `getAvailabilityState()` Get the availability state.
`long` | `getAvailStateLastChange()` Get the availability state last change time.
`long` | `getDegradedTime()` Get the time the component product has entered in a degraded or congested state.
`int` | `getOperationalState()` Get the operational state.
`long` | `getOpsStateLastChange()` Get the operational state last change time.
`long` | `getRunningTime()` Get the time the component product has entered in a running state.

Field Detail

### OPS_FAILED

    public static final int OPS_FAILED

See Also:
  Constant Field Values

### OPS_RUNNING

    public static final int OPS_RUNNING

See Also:
  Constant Field Values

### OPS_STARTING

    public static final int OPS_STARTING

See Also:
  Constant Field Values

### OPS_STOPPED

    public static final int OPS_STOPPED

See Also:
  Constant Field Values

### OPS_STOPPING

    public static final int OPS_STOPPING

See Also:
  Constant Field Values

### AVAIL_CONGESTED

    public static final int AVAIL_CONGESTED

See Also:
  Constant Field Values

### AVAIL_DEGRADED

    public static final int AVAIL_DEGRADED

See Also:
  Constant Field Values

### AVAIL_NORMAL

    public static final int AVAIL_NORMAL

See Also:
  Constant Field Values

Method Detail

### getAvailabilityState

    public int getAvailabilityState()

  Get the availability state.

### getAvailStateLastChange

    public long getAvailStateLastChange()

  Get the availability state last change time. The returned value is the number of milliseconds since January 1, 1970, 00:00:00.

### getDegradedTime

    public long getDegradedTime()

  Get the time the component product has entered in a degraded or congested state. The returned value is the number of milliseconds since January 1, 1970, 00:00:00.

### getOperationalState

    public int getOperationalState()

  Get the operational state.

### getOpsStateLastChange

    public long getOpsStateLastChange()

  Get the operational state last change time. The returned value is the number of milliseconds since January 1, 1970, 00:00:00.

### getRunningTime

    public long getRunningTime()

  Get the time the component product has entered in a running state. The returned value is the number of milliseconds since January 1, 1970, 00:00:00.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD